//  Program Spas41730C
//  Designed for Scilab 3.1 & 4.0
//  Copyright Jacques-Deric Rouault, CNRS, INRIA

disp ("4.17.30C");
//--------------------------------------------
function manage_event (win,mx,my,event);
  global finend;
  [x,y]=xchange(mx,my,'i2f');
  mprintf ("win = %d - x = %f -  y = %f event = %d\n", win, x, y, event);
  if (x>0) & (x<0.1) & (y>0) & (y<0.1) then
    finend=%T;
    return;
  else
    finend=%F;
    return;
    end;
endfunction;
//--------------------------------------------

global finend;
lines (0);
hf = scf (1);
hf.figure_name = "4.17.30C";
ha = gca ();
ha.axes_visible="on";
ha.grid = [2, 3];
xrects ([0; 0.1; 0.1; 0.1],5);
while 1==1 do
  seteventhandler ("manage_event");
  finend,
  if finend then abort; end;
end;
seteventhandler ("");
delete (hf);
